1

Server modlist issues.

1 emeralds5 replies232 views
Reploidsham started 02/04/2019 2:54 pm
star_weaver replied 02/06/2019 2:26 am
Hello, I might have done a thing, but I am inept at other things! I am looking to resolve some REALLY nonspecific error I'm having with my modlist for 1.12.2. Every few months I'll scrap and rebuild the mod-list for the server my friends and I run ramshackle on, and right now I'm encountering a curious error I haven't before.

It's a bit weird to me, since before this, we were running 1.7.10. The move to 1.12.2 is pioneered by me with effort from a few other people since quite honestly 1.7.10 modding seems to be EOL and the mod scene is finally getting there to the point 1.12.2 is playable.

Except it isn't, and we're running into this error. I'll post the crash report below. The fml-server-latest didn't seem to have relevant info but I can dump that if you need it.

Spoiler - click to reveal

I decided to throw in the fml-server-latest.

Spoiler - click to reveal

One thing in particular I notices is 1.12.2 seems to change things up. None of the 1.7.10 builds ran as coremodes, so that is just foreign to me and any and all indicators point to those as being the problem.

Any suggestions? Completely new forge server installation here, and the JVM arguments I'm using are a copypaste from forever ago which.. worked. I've seen no reason to change or clean it up.

Thanks for helping!
Posted by avatar
Reploidsham
Level 26 : Expert Spider Rider
4

comment Login or register to post a reply.

5 replies

1
02/05/2019 9:13 pm
Level 26 : Expert Spider Rider
Reploidsham
Alright, I got it figured out. star_weaver was correct and I needed to update, however forge version 2768 was also slightly too old, as Astral Sorcery requires 2781. Updating to the latest then points me at another error caused by an Mcreator mod I downloaded, Opposite Dimensions.

Why can't Mcreator mods EVER play nice on servers... ?
1
02/05/2019 9:42 pm
Level 22 : Expert Princess
star_weaver
cos mcreator mods arnt made with servers in mind
2
02/04/2019 10:18 pm
Level 22 : Expert Princess
star_weaver
try using the recomended forge version for 1.12.2, 2768 as apposed to 2443 since that version isnt even showing up on the forge website, for 1.12.2, making me thing you got the wrong forge version
1
02/05/2019 9:02 pm
Level 26 : Expert Spider Rider
Reploidsham
Ah, what... I downloaded the latest before, and it somehow gave me that. Strange!
1
02/06/2019 2:26 am
Level 22 : Expert Princess
star_weaver
you were probably on the 1.12 not 1.12.2, easy mistake ive done that a few times befor so yea
Planet Minecraft Logo

Website

© 2010 - 2020
www.planetminecraft.com

Welcome